Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoProfileCoverageEntry.ByValue

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoProfileCoverageEntry,MonoProfileCoverageEntry.ByValue,MonoProfileCoverageEntry.ByReference>
              com.nativelibs4java.mono.MonoProfileCoverageEntry
                  com.nativelibs4java.mono.MonoProfileCoverageEntry.ByValue

All Implemented Interfaces:
  StructureType, StructureTypeDependent, Structure.ByValue, java.lang.Comparable<Structure<MonoProfileCoverageEntry,MonoProfileCoverageEntry.ByValue,MonoProfileCoverageEntry.ByReference>>

Enclosing class:
  MonoProfileCoverageEntry

    public static class MonoProfileCoverageEntry.ByValue

extends MonoProfileCoverageEntry
implements Structure.ByValue

Nested Class Summary

Nested classes/interfaces inherited from class com.nativelibs4java.mono.MonoProfileCoverageEntry
`MonoProfileCoverageEntry.ByReference, MonoProfileCoverageEntry.ByValue`

Field Summary

Fields inherited from class com.nativelibs4java.mono.MonoProfileCoverageEntry
`col, counter, filename, iloffset, line, method`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoProfileCoverageEntry.ByValue()`

Method Summary

Methods inherited from class com.nativelibs4java.mono.MonoProfileCoverageEntry
`newByReference, newByValue, newInstance`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Constructor Detail

### MonoProfileCoverageEntry.ByValue

    public MonoProfileCoverageEntry.ByValue()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD